# Yahoo! UI Library

### DataTable Widget 2.2.2

Yahoo! UI Library > datatable > ColumnSet

## Class ColumnSet - uses YAHOO.util.EventProvider

The ColumnSet class defines and manages a DataTable's Columns, including nested hierarchies and access to individual Column instances.

### Constructor

ColumnSet `( aHeaders )`

Parameters:
  `aHeaders <Object[]>` Array of object literals that define header cells.

### Properties

#### _nCount `- private static number`

Internal class variable to index multiple data table instances.

#### _sName `- private String`

Unique instance name.

#### flat `- YAHOO.widget.Column[]`

Flattened representation of all Columns.
Default Value: []

#### headers `- String[]`

ID index of nested parent heirarchies for HEADERS accessibility attribute.
Default Value: []

#### keys `- YAHOO.widget.Column[]`

Array of Columns that map one-to-one to a table column.
Default Value: []

#### tree `- YAHOO.widget.Column[]`

Top-down tree representation of Column hierarchy.

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### toString

`String toString ( )`
Public accessor to the unique name of the ColumnSet instance.

Returns: `String`
  Unique name of the ColumnSet instance.

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

Copyright © 2007 Yahoo! Inc. All rights reserved.